- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
G::CounterImp Class Reference

A private implementation class used by the G::Counter<> class template. More...

`#include <gcounter.h>`

Inheritance diagram for G::CounterImp:

## Static Public Member Functions
static void | check (const char *class_name, unsigned long n)
| Checks the instance counter. More...

## Detailed Description

A private implementation class used by the G::Counter<> class template.

Definition at line 37 of file gcounter.h.

## Member Function Documentation

void G::CounterImp::check | ( | const char * | class_name,
|  | unsigned long | n
| ) |  |
| static

Checks the instance counter.

Definition at line 24 of file gcounter.cpp.

The documentation for this class was generated from the following files:

- gcounter.h
- gcounter.cpp